Suspend
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/funds/assignments/{user_id}/suspension \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/funds/assignments/{user_id}/suspension"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/funds/assignments/{user_id}/suspension', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignment": {
"controls": {
"extension": {
"expiresAt": "2023-11-07T05:31:56Z",
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"reason": "<string>"
},
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"suspension": {
"reason": "<string>",
"suspendedAt": "2023-11-07T05:31:56Z"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
}Fund Assignments
Suspend
Freeze the subject’s fund. The limit and any extension underneath are preserved and restored by Unsuspend.
POST
/
api
/
v1
/
funds
/
assignments
/
{user_id}
/
suspension
Suspend
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The userId field.
Body
application/json
The FundAssignmentServiceSuspendRequest message.
The reason field.
Response
200 - application/json
Successful response
The FundAssignmentServiceSuspendResponse message.
FundAssignment is one principal's fund exception as the API renders it.
Show child attributes
Show child attributes
Was this page helpful?